Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci
Class CannotGetCciConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.NonTransientDataAccessResourceException
                                  org.springframework.dao.DataAccessResourceFailureException
                                      org.springframework.jca.cci.CannotGetCciConnectionException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotGetCciConnectionException

extends DataAccessResourceFailureException

Fatal exception thrown when we can't connect to an EIS using CCI.

Since:
  1.2
Author:
  Thierry Templier, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`CannotGetCciConnectionException(java.lang.String msg, javax.resource.ResourceException ex)` Constructor for CannotGetCciConnectionException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotGetCciConnectionException

    public CannotGetCciConnectionException(java.lang.String msg,
                                           javax.resource.ResourceException ex)

  Constructor for CannotGetCciConnectionException.

  Parameters:
    `msg` - message
    `ex` - ResourceException root cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD